# Update server custom ID for user

Updates server custom ID for a user.
 

{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for server-side methods are applied to this method.
{% /html %}

Endpoint: PUT /projects/{project_id}/users/{user_id}/server_custom_id
Version: v1
Security: Server

## Path parameters:

  - `user_id` (string, required)
    User ID. You can find it in Publisher Account > your Login project > Users.

  - `project_id` (string, required)
    Login project ID from Publisher Account.

## Request fields (application/json):

  - `server_custom_id` (string,null, required)
    Custom ID that already exists on your server. Must be unique for a Login project. Can include latin characters, digits, characters ".", “-”, and “_”.

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 422 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.


## Response 204 fields
